<?php
namespace Lightwerk\ObjectAccess\Domain\Model;

use TYPO3\CMS\Extbase\Persistence\ObjectStorage;

class Foo
{

    /**
     * @var ObjectStorage<Bar>
     */
    protected $bars = null;

    public function __construct()
    {
        $this->bars = new ObjectStorage();
        $bar1 = new Bar('bar1');
        $this->bars->attach($bar1);
        $bar2 = new Bar('bar2');
        $this->bars->attach($bar2);
    }

    /**
     * @return null|ObjectStorage
     */
    public function getBars()
    {
        return $this->bars;
    }

    /**
     * @param null|ObjectStorage $bars
     */
    public function setBars($bars)
    {
        $this->bars = $bars;
    }
}
